Obtener grupos de delegación
Lista todos los grupos de delegación a los que pertenece la cuenta identificada por cookie. Cada grupo se describe por la cuenta en cuyo nombre actúa: user_id, screen_name, name, avatar y role (Owner, Admin o Contributor). El propio grupo de la cuenta se incluye con role Owner. Requiere una clave Bearer de TwexAPI y la cookie o auth_token de X autorizados de la cuenta.
Volver a la referencia de API
/Delegate Endpoints
POST
/twitter/delegate/groupsAutorización de API
AuthorizationBearer token · headerrequeridoToken Bearer global para TwexAPI. Incluido como: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Cuerpo de la solicitud
requeridoapplication/jsoncookiestringrequeridoAuthorized X session cookie or auth_token for the account the call acts for. Required in addition to the TwexAPI Bearer key.
min length 1
proxystring | anyMostrar propiedadesOcultar propiedades
Any of:
string
stringany
anyRespuestas
200Success
codeintegerrequeridomsgstringrequeridodataDelegateAccount[]requeridoMostrar propiedadesOcultar propiedades
Array of
DelegateAccountuser_idstringrequeridoscreen_namestringrequeridonamestringrequeridoavatarstring | anyrequeridoProfile image URL.
Mostrar propiedadesOcultar propiedades
Any of:
string
stringany
anyrolestring | anyrequeridoOwner, Admin or Contributor.
Mostrar propiedadesOcultar propiedades
Any of:
string
stringany
any403Authentication or credit access denied
codeintegerrequeridomsgstringrequeridodataany[] | anyrequeridoMostrar propiedadesOcultar propiedades
Any of:
any[]
Array of
anyanyany
any422Invalid request
codeintegerrequeridomsgstringrequeridodataany[] | anyrequeridoMostrar propiedadesOcultar propiedades
Any of:
any[]
Array of
anyanyany
any500Upstream or server error
codeintegerrequeridomsgstringrequeridodataany[] | anyrequeridoMostrar propiedadesOcultar propiedades
Any of:
any[]
Array of
anyanyany
any⚡Consola interactivaPOST
⚡Consola interactiva / Probar APIPOSTLive Console
🌐Servidor objetivo:
https://api.twexapi.io● Producción lista
✍️
Guía de credenciales de escritura (Clave TwexAPI + Cookie de Twitter)
1. Clave de TwexAPI (Bearer Token): Ingrésela en "Autorización API" abajo para facturación y autenticación.
2. Cookie de cuenta Twitter: Para operaciones de escritura (tuitear, dar me gusta, seguir), ingrese la Cookie (ej. auth_token=...; ct0=...) en el campo cookie abajo.
🔑Autorización API
📝Cuerpo de la solicitudapplication/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
Solicitud
curl -X POST "https://api.twexapi.io/twitter/delegate/groups" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"cookie": "YOUR_X_COOKIE_OR_AUTH_TOKEN"
}'const response = await fetch("https://api.twexapi.io/twitter/delegate/groups", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"cookie": "YOUR_X_COOKIE_OR_AUTH_TOKEN"
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/delegate/groups",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"cookie": "YOUR_X_COOKIE_OR_AUTH_TOKEN"
},
)Respuesta
{
"code": 200,
"msg": "success",
"data": [
{
"user_id": "1234567890123456788",
"screen_name": "example_owner",
"name": "Example Owner",
"avatar": "https://pbs.twimg.com/profile_images/owner_normal.jpg",
"role": "Owner"
},
{
"user_id": "1234567890123456789",
"screen_name": "example_brand",
"name": "Example Brand",
"avatar": "https://pbs.twimg.com/profile_images/brand_normal.jpg",
"role": "Contributor"
}
]
}{
"code": 403,
"msg": "Authentication or credit access denied",
"data": []
}{
"code": 422,
"msg": "Invalid request",
"data": []
}{
"code": 500,
"msg": "Upstream or server error",
"data": []
}